/api/program/payout‑change‑tier
post
Add new tier to program payout change
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
programidintegerRequired
change_orderintegerRequired
tier_startintegerRequired
tier_resetintegerRequired
tier_raiseintegerRequired
field_0stringOptionalDefault:
0field_1stringOptionalDefault:
0field_2stringOptionalDefault:
0field_3stringOptionalDefault:
0field_4stringOptionalDefault:
0field_5stringOptionalDefault:
0field_6stringOptionalDefault:
0field_7stringOptionalDefault:
0field_8stringOptionalDefault:
0field_9stringOptionalDefault:
0field_10stringOptionalDefault:
0field_11stringOptionalDefault:
0field_12stringOptionalDefault:
0field_13stringOptionalDefault:
0field_14stringOptionalDefault:
0field_15stringOptionalDefault:
0Responses
200
success
successbooleanOptionalExample:
truepost/api/program/payout-change-tier
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'programid' => 2,
'change_order' => 2,
'tier_start' => 1,
'tier_reset' => 1,
'tier_raise' => 1
);
$request = array(
'method' => 'POST',
'path' => 'program/payout-change-tier',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "Payout tier added"
}delete
Delete payout change tier
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
programidintegerRequired
change_orderintegerRequired
tier_startintegerRequired
Responses
200
success
successbooleanOptionalExample:
truedelete/api/program/payout-change-tier
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'programid' => 1,
'change_order' => 2,
'tier_start' => 1
);
$request = array(
'method' => 'DELETE',
'path' => 'program/payout-change-tier',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "Payout tier deleted"
}patch
Edit payout tier chnage
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
programidintegerRequired
change_orderintegerRequired
tier_startintegerRequired
new_tier_startintegerOptional
tier_resetintegerOptional
tier_raiseintegerOptional
field_0stringOptional
field_1stringOptional
field_2stringOptional
field_3stringOptional
field_4stringOptional
field_5stringOptional
field_6stringOptional
field_7stringOptional
field_8stringOptional
field_9stringOptional
field_10stringOptional
field_11stringOptional
field_12stringOptional
field_13stringOptional
field_14stringOptional
field_15stringOptional
Responses
200
success
successbooleanOptionalExample:
truepatch/api/program/payout-change-tier
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array();
$request = array(
'method' => 'PATCH',
'path' => 'program/payout-change-tier',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true
}Last updated
Was this helpful?